Schedules
Get a schedule
Retrieves the specified schedule resource.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Paramètres de chemin d’accès
id
string
obligatoire
Identifier of the schedule.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Réponses
The request has succeeded.
Corps
id
string
obligatoire
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
obligatoire
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
obligatoire
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
obligatoire
expression
string
obligatoire
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
obligatoire
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
obligatoire
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
obligatoire
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
obligatoire
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
obligatoire
Daily recurrence type.
hours
integer[]
obligatoire
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
obligatoire
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
obligatoire
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
obligatoire
Monthly recurrence type.
daysOfMonth
integer[]
obligatoire
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
obligatoire
triggerAt
string
obligatoire
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
obligatoire
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
obligatoire
evalId
string
obligatoire
Identifier of the evaluation group.
evalRun
object
obligatoire
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
obligatoire
insight
Insight
obligatoire
The response body for cluster insights.
id
string
obligatoire
The unique identifier for the insights report.
metadata
InsightsMetadata
obligatoire
Metadata about the insights.
createdAt
string
obligatoire
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
obligatoire
Enum describing allowed operation states.
enum
displayName
string
obligatoire
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
obligatoire
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
obligatoire
The type of insights request.
evalId
string
obligatoire
Evaluation Id for the insights.
runIds
string[]
obligatoire
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
obligatoire
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
obligatoire
The type of request.
agentName
string
obligatoire
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
obligatoire
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
obligatoire
The type of request.
evalId
string
obligatoire
Identifier for the evaluation.
baselineRunId
string
obligatoire
The baseline run ID for comparison.
treatmentRunIds
string[]
obligatoire
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
obligatoire
The type of insights result.
comparisons
EvalRunResultComparison[]
obligatoire
Comparison results for each treatment run against the baseline.
method
string
obligatoire
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
obligatoire
The type of insights result.
clusterInsight
ClusterInsightResult
obligatoire
Insights from the cluster analysis.
summary
InsightSummary
obligatoire
Summary of the error cluster analysis.
sampleCount
integer
obligatoire
Total number of samples analyzed.
uniqueSubclusterCount
integer
obligatoire
Total number of unique subcluster labels.
uniqueClusterCount
integer
obligatoire
Total number of unique clusters.
method
string
obligatoire
Method used for clustering.
usage
ClusterTokenUsage
obligatoire
Token usage for cluster analysis
inputTokenUsage
integer
obligatoire
input token usage
outputTokenUsage
integer
obligatoire
output token usage
totalTokenUsage
integer
obligatoire
total token usage
clusters
InsightCluster[]
obligatoire
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
obligatoire
X-axis coordinate.
y
integer
obligatoire
Y-axis coordinate.
size
integer
obligatoire
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
obligatoire
The type of insights result.
clusterInsight
ClusterInsightResult
obligatoire
Insights from the cluster analysis.
summary
InsightSummary
obligatoire
Summary of the error cluster analysis.
sampleCount
integer
obligatoire
Total number of samples analyzed.
uniqueSubclusterCount
integer
obligatoire
Total number of unique subcluster labels.
uniqueClusterCount
integer
obligatoire
Total number of unique clusters.
method
string
obligatoire
Method used for clustering.
usage
ClusterTokenUsage
obligatoire
Token usage for cluster analysis
inputTokenUsage
integer
obligatoire
input token usage
outputTokenUsage
integer
obligatoire
output token usage
totalTokenUsage
integer
obligatoire
total token usage
clusters
InsightCluster[]
obligatoire
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
obligatoire
X-axis coordinate.
y
integer
obligatoire
Y-axis coordinate.
size
integer
obligatoire
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
obligatoire
System metadata for the resource.
Requête
GET /schedules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json